package com.ruoyi.sy.mapper;

import java.util.List;
import com.ruoyi.sy.domain.SyTestAnswers;

/**
 * 答题卡Mapper接口
 * 
 * @author mingxue
 * @date 2022-03-02
 */
public interface SyTestAnswersMapper 
{
    /**
     * 查询答题卡
     * 
     * @param answerId 答题卡ID
     * @return 答题卡
     */
    public SyTestAnswers selectSyTestAnswersById(Long answerId);

    /**
     * 查询答题卡列表
     * 
     * @param syTestAnswers 答题卡
     * @return 答题卡集合
     */
    public List<SyTestAnswers> selectSyTestAnswersList(SyTestAnswers syTestAnswers);

    /**
     * 新增答题卡
     * 
     * @param syTestAnswers 答题卡
     * @return 结果
     */
    public int insertSyTestAnswers(SyTestAnswers syTestAnswers);

    /**
     * 修改答题卡
     * 
     * @param syTestAnswers 答题卡
     * @return 结果
     */
    public int updateSyTestAnswers(SyTestAnswers syTestAnswers);

    /**
     * 删除答题卡
     * 
     * @param answerId 答题卡ID
     * @return 结果
     */
    public int deleteSyTestAnswersById(Long answerId);

    /**
     * 批量删除答题卡
     * 
     * @param answerIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteSyTestAnswersByIds(Long[] answerIds);
}
